Subject: RE: issue 62

From: "Gray, Eric" <[email-masked]>
Date: Wed, 2 Oct 2002 13:19:41 -0400

Yakov,

	I assume you meant "If there are _no_ objections ..."

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: Wednesday, October 02, 2002 12:24 PM
> To: [email-masked]
> Subject: issue 62
> 
> Folks,
> 
>   62) Deprecate BGP Authentication Optional Parameter from RFC1771
>   ------------------------------------------------------------------------
> ----
>   Status: No Consensus
>   Change: Potentially
>   Summary: We are at consensus, in that we agree that we should deprecate
>    the BGP Authentication Optional Parameter as described in RFC1771 in
>    favor of the mechanism described in RFC2385.  We do not have new text
> for
>    the draft yet, of if we are going to pull the reference entirely.
> 
> I would suggest to remove the following text from the draft:
> 
>          This document defines the following Optional Parameters:
> 
>          a) Authentication Information (Parameter Type 1):
> 
> 
>             This optional parameter may be used to authenticate a BGP
>             peer. The Parameter Value field contains a 1-octet
>             Authentication Code followed by a variable length
>             Authentication Data.
> 
>                 0 1 2 3 4 5 6 7 8
>                 +-+-+-+-+-+-+-+-+
>                 |  Auth. Code   |
>                 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>                 |                                                     |
>                 |              Authentication Data                    |
>                 |                                                     |
>                 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 
>                Authentication Code:
> 
>                   This 1-octet unsigned integer indicates the
>                   authentication mechanism being used. Whenever an
>                   authentication mechanism is specified for use within
>                   BGP, three things must be included in the
>                   specification:
> 
>                   - the value of the Authentication Code which indicates
>                   use of the mechanism,
>                   - the form and meaning of the Authentication Data, and
>                   - the algorithm for computing values of Marker fields.
> 
>                   Note that a separate authentication mechanism may be
>                   used in establishing the transport level connection.
> 
>                Authentication Data:
> 
>                   Authentication Data is a variable length field that is
>                   interpreted according to the value of the
>                   Authentication Code field.
> 
> If there are objections to this, then I would add the following:
> 
>    This document deprecates the use of the Authentication Information
>    optional parameter.
> 
> Yakov.

---

From: Yakov Rekhter <[email-masked]>
Date: Wed, 02 Oct 2002 11:49:38 -0700

Eric,

> 	I assume you meant "If there are _no_ objections ..."

I meant "If there are objections" to removing the text, then
we can keep the text, but will add the sentence I mentioned below.

Yakov.